Skip to content

List holds

GET/api/public/v1/holds

Terminal window
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/holds' \
-H "Authorization: Bearer $OPENLATCH_API_KEY"
Role in the organizationThis endpoint
ownerAllowed
adminAllowed
editorAllowed
viewerAllowed

A key carries the role its owner holds in the organization. See Authentication.

API key scope: triage:read

ParameterTypeDescription
zonestring (uuid) or null
agentstring or null
statestring
pageinteger
page_sizeinteger
FieldTypeDescription
dataarray of objectRequired.
data[].action_summarystring or null
data[].agent_idstring or null
data[].decided_atstring (date-time) or null
data[].effectsarray of object
data[].idstringRequired.
data[].native_tool_use_idstringRequired.
data[].policy_public_idstring or null
data[].requested_atstring (date-time)Required.
data[].statestringRequired.
data[].timeout_atstring (date-time)Required.
pageintegerRequired.
page_sizeintegerRequired.
totalintegerRequired.
{
"data": [
{
"action_summary": "string",
"agent_id": "agt_01jbwa2k1vfrn9y42xhgxhmzj2",
"decided_at": "2026-01-15T14:32:05Z",
"effects": [
{}
],
"id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"native_tool_use_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"policy_public_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10",
"requested_at": "2026-01-15T14:32:05Z",
"state": "string",
"timeout_at": "2026-01-15T14:32:05Z"
}
],
"page": 1,
"page_size": 3,
"total": 3
}